> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delivers a queryable overview list of all MarketplaceOfferListItem



## OpenAPI

````yaml /openapi/2.1.json get /v2/marketplace/offers
openapi: 3.0.0
info:
  title: JTL-WAWI API (Cloud)
  description: "JTL-Wawi-Version: 2.2.0-alpha.9492+Sha.4c8d5d1\r\n# Introduction\r\n\r\nWelcome to the JTL-WAWI technical API documentation. This guide is here to help developers understand how our REST API works and how it can be integrated into your existing systems. We'll delve into the details of authentication and data manipulation processes, providing clear examples along the way. Whether you're a developer or an IT professional, this documentation aims to give you a practical understanding, laying the groundwork for effectively using the JTL-WAWI API to enhance your processes.\r\n\r\n# Authentication\r\n\r\nYou register your application with the API by sending a POST request with the required information and corresponding keys. You can find the exact request details at https://developer.jtl-software.com/products/erp/swagger/appregistration. This information has to include the following:\r\n\r\n* AppId\r\n* DisplayName\r\n* Description\r\n* Version\r\n* ProviderName\r\n* ProviderWebsite\r\n* MandatoryApiScopes\r\n\r\nThis data is crucial for identifying and registering your application with the API. The API uses it to generate a temporary authentication ID that allows your application to access the necessary resources. After successful validation of this information, you will receive the API key required for future authentication and API requests.\r\n\r\nBefore you can begin the registration process, you must open JTL-Wawi (new interface) and start the registration process under 'Admin->App registration'. Only at this point are you authorised to send the first API call. This step in JTL-Wawi ensures that your application is properly registered and has permission to use the API.\r\n\r\nThe API will send you an authentication ID in the form of a token. Once you have received this token and successfully completed the registration in JTL-Wawi, you will send another request to the API by including this authentication ID in the URL path.\r\n\r\nAfter successful validation of this second request by the API and confirmation of the correct information, you will be provided with the actual API key. It is important to note that this API key will not be displayed again!\r\n\r\nThis API key will be used in the future to authenticate requests to the API. It is of utmost importance that you securely store the API key upon receipt, as it cannot be retrieved from any other location in the system."
  contact:
    name: JTL-Software-GmbH
    url: https://developer.jtl-software.com/
    email: partner@jtl-software.com
  version: '2.1'
  x-application-version: 2.2.0.0
servers:
  - url: https://api.jtl-cloud.com/erp
    description: Production Environment Cloud API Gateway
security: []
tags:
  - name: WMS
    description: >-
      <p data-section-id='tag/WMS' class='stable_summary'></p>Query all pick
      lists for a specific wms warehouse that are not completed.
  - name: Wawi App
    description: >-
      <p data-section-id='tag/Wawi App' class='stable_summary'></p>Get a
      specific customer
  - name: Warehouses
    description: >-
      <p data-section-id='tag/Warehouses' class='stable_summary'></p>Queries all
      storage locations for a given warehouse.
  - name: Units
    description: Development
  - name: Transaction Status
    description: >-
      <p data-section-id='tag/Transaction Status'
      class='stable_summary'></p>Queries all transaction statuses for a sales
      order.
  - name: Tax
    description: >-
      <p data-section-id='tag/Tax' class='stable_summary'></p>Returns the tax
      rate for the given item.
  - name: Inventory
    description: >-
      <p data-section-id='tag/Inventory' class='stable_summary'></p>Queries
      stocks for a specific item, warehouse or storage location.
  - name: Sales Order
    description: Planned
  - name: Sales Invoice Correction
    description: Planned
  - name: Return
    description: >-
      <p data-section-id='tag/Return' class='beta_summary'></p>Create a new
      return with associated items and packages.
  - name: Item
    description: >-
      <p data-section-id='tag/Item' class='beta_summary'></p>Queries all
      responsible persons.
  - name: Refund
    description: Planned
  - name: Property
    description: >-
      <p data-section-id='tag/Property' class='stable_summary'></p>Queries all
      properties of items.
  - name: Printer
    description: >-
      <p data-section-id='tag/Printer' class='beta_summary'></p>Retrieves all
      installed printers.
  - name: Master Data
    description: >-
      <p data-section-id='tag/Master Data' class='stable_summary'></p>Queries
      all on hold reasons for sales orders.
  - name: Manufacturer
    description: Development
  - name: Label
    description: Development
  - name: Sales Invoice
    description: Planned
  - name: Info
    description: >-
      <p data-section-id='tag/Info' class='stable_summary'></p>Returns the
      status of the API.
  - name: Features
    description: >-
      <p data-section-id='tag/Features' class='stable_summary'></p>Returns the
      available feature sets with release state and API version.
  - name: Extensibility
    description: Planned
  - name: Shipment
    description: Development
  - name: Delivery Note
    description: Planned
  - name: Custom Field
    description: Development
  - name: Customer
    description: >-
      <p data-section-id='tag/Customer' class='stable_summary'></p>Deletes a
      specific customer.
  - name: Authentication
    description: >-
      <p data-section-id='tag/Authentication'
      class='deprecated_summary'></p>DEPRECATED seit Wawi 2.2.0: No-Op. Seit
      Wawi 2.1.0 registriert sich die Wawi selbst per JWT.
  - name: Attribute
    description: Development
  - name: Sales Quotation
    description: >-
      <p data-section-id='tag/Sales Quotation' class='beta_summary'></p>Execute
      the printing of a sales quotation
  - name: Production
  - name: Resources
  - name: Company
  - name: Sales Orders
  - name: Marketplace Seller
  - name: Seller
  - name: Marketplace Order
  - name: Marketplace Offer
  - name: Marketplace Invoicing
  - name: Sales Channel
  - name: Payment
  - name: Warehouse Assistant
  - name: Worker
paths:
  /v2/marketplace/offers:
    get:
      tags:
        - Marketplace Offer
      summary: Delivers a queryable overview list of all MarketplaceOfferListItem
      operationId: Offers_QueryMarketplaceOffer
      parameters:
        - name: pageNumber
          in: query
          description: Number of the page of items to fetch. Defaults to 1 when omitted.
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          description: >-
            Size of the page specified by PageNumber. Defaults to 100 when
            omitted.
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          description: >-
            Property to sort by. Multiple comma-separated fields are applied in
            order (OrderBy, then ThenBy).
          schema:
            type: string
        - name: sortDescending
          in: query
          description: Sort in descending order. Defaults to ascending when omitted.
          schema:
            type: boolean
        - name: expirationDateAfter
          in: query
          description: >-
            Only include items whose ExpirationDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: expirationDateBefore
          in: query
          description: >-
            Only include items whose ExpirationDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: activeSinceAfter
          in: query
          description: >-
            Only include items whose ActiveSince is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: activeSinceBefore
          in: query
          description: >-
            Only include items whose ActiveSince is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: inboundAvailableAtAfter
          in: query
          description: >-
            Only include items whose InboundAvailableAt is after (greater than)
            this value.
          schema:
            type: string
            format: date-time
        - name: inboundAvailableAtBefore
          in: query
          description: >-
            Only include items whose InboundAvailableAt is before (less than)
            this value.
          schema:
            type: string
            format: date-time
        - name: lastUploadAfter
          in: query
          description: >-
            Only include items whose LastUpload is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: lastUploadBefore
          in: query
          description: >-
            Only include items whose LastUpload is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: quantityUpdatedAtAfter
          in: query
          description: >-
            Only include items whose QuantityUpdatedAt is after (greater than)
            this value.
          schema:
            type: string
            format: date-time
        - name: quantityUpdatedAtBefore
          in: query
          description: >-
            Only include items whose QuantityUpdatedAt is before (less than)
            this value.
          schema:
            type: string
            format: date-time
        - name: priceUpdatedAtAfter
          in: query
          description: >-
            Only include items whose PriceUpdatedAt is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: priceUpdatedAtBefore
          in: query
          description: >-
            Only include items whose PriceUpdatedAt is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: statusReceivedAtAfter
          in: query
          description: >-
            Only include items whose StatusReceivedAt is after (greater than)
            this value.
          schema:
            type: string
            format: date-time
        - name: statusReceivedAtBefore
          in: query
          description: >-
            Only include items whose StatusReceivedAt is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
          description: The tenant ID for the target ERP instance.
      responses:
        '200':
          description: Paged result.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Framework.Api.Abstraction.Models.PagedListOfJTL.Wawi.Marketplace.Scx.PublicApi.DataTransferObjects.V2.Offers.MarketplaceOfferListItem
        '400':
          description: Bad request.
          content:
            application/json: {}
        '401':
          description: Unauthorized.
          content:
            application/json: {}
        '403':
          description: Forbidden.
          content:
            application/json: {}
        '500':
          description: Internal server error.
          content:
            application/json: {}
      security:
        - oauth2-authorization-code: []
        - oauth2-client-credentials: []
components:
  schemas:
    JTL.Framework.Api.Abstraction.Models.PagedListOfJTL.Wawi.Marketplace.Scx.PublicApi.DataTransferObjects.V2.Offers.MarketplaceOfferListItem:
      type: object
      additionalProperties: false
      required:
        - TotalItems
        - PageNumber
        - PageSize
        - Items
      properties:
        totalItems:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Marketplace.Scx.PublicApi.DataTransferObjects.V2.Offers.MarketplaceOfferListItem
        totalPages:
          type: integer
          format: int32
        hasPreviousPage:
          type: boolean
        hasNextPage:
          type: boolean
        nextPageNumber:
          type: integer
          format: int32
        previousPageNumber:
          type: integer
          format: int32
    JTL.Wawi.Marketplace.Scx.PublicApi.DataTransferObjects.V2.Offers.MarketplaceOfferListItem:
      type: object
      description: Single row of the marketplace offer overview list.
      additionalProperties: false
      required:
        - OfferId
        - ShopId
        - ShopScxId
        - Quantity
        - CompanyId
        - OfferType
        - OfferStatus
        - IsListed
        - DeletionIntervalPendingOffer
        - IsExtern
        - StockUpdateEnabled
      properties:
        offerId:
          $ref: '#/components/schemas/JTL.Wawi.Marketplace.Scx.Types.Keys.ScxOfferKey'
          description: ID of the offer.
        itemId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ArtikelKey'
          description: ID of the linked article.
        sKU:
          type: string
          description: Stock keeping unit.
        productNumber:
          type: string
          description: Product number of the article.
        offerTitle:
          type: string
          description: Title of the offer.
        channelName:
          type: string
          description: Display name of the sales channel.
        channelId:
          $ref: >-
            #/components/schemas/JTL.Wawi.Marketplace.Scx.Types.Keys.ScxChannelKey
          description: ID of the channel.
        channel:
          type: string
          description: Internal channel identifier.
        shopId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ShopKey'
          description: ID of the shop.
        shopScxId:
          $ref: '#/components/schemas/JTL.Wawi.Marketplace.Scx.Types.Keys.ScxShopKey'
          description: ID of the seller.
        quantity:
          type: number
          description: Current quantity.
          format: decimal
        expirationDate:
          type: string
          description: Expiration date of the offer.
          format: date-time
        categoryId:
          $ref: >-
            #/components/schemas/JTL.Wawi.Marketplace.Scx.Types.Keys.ScxCategoryKey
          description: ID of the channel category.
        channelCategoryId:
          type: string
          description: Channel-specific category identifier.
        channelCategoryName:
          type: string
          description: Display name of the channel category.
        netPrice:
          type: number
          description: Net price of the offer.
          format: decimal
        percent:
          type: number
          description: Percentage discount.
          format: decimal
        priceId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.Artikel.PreisKey'
          description: ID of the price entry.
        customerGroupId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.KundenGruppeKey'
          description: ID of the customer group.
        salePriceNet:
          type: number
          description: Net sale price from the article.
          format: decimal
        taxClassId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerklasseKey'
          description: ID of the tax class.
        companyId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.FirmaKey'
          description: ID of the company.
        currency:
          type: string
          description: Currency code of the channel.
        availableQuantity:
          type: number
          description: Available stock quantity.
          format: decimal
        quantityInOrders:
          type: number
          description: Quantity reserved in orders.
          format: decimal
        inboundQuantity:
          type: number
          description: Expected inbound quantity.
          format: decimal
        gTIN:
          type: string
          description: Global Trade Item Number.
        productWeight:
          type: number
          description: Product weight.
          format: decimal
        mPN:
          type: string
          description: Manufacturer Part Number.
        iSBN:
          type: string
          description: International Standard Book Number.
        aSIN:
          type: string
          description: Amazon Standard Identification Number.
        manufacturer:
          type: string
          description: Name of the manufacturer.
        purchasePriceNet:
          type: number
          description: Net purchase price.
          format: decimal
        activeSince:
          type: string
          description: Timestamp since the offer is active.
          format: date-time
        processingTime:
          type: integer
          description: Processing time in days.
          format: int32
        inboundAvailableAt:
          type: string
          description: Date when inbound stock becomes available.
          format: date-time
        offerType:
          $ref: >-
            #/components/schemas/JTL.Wawi.Marketplace.Scx.PublicApi.DataTransferObjects.V2.Offers.MarketplaceOfferType
          description: Type of the offer.
        offerStatus:
          $ref: >-
            #/components/schemas/JTL.Wawi.Marketplace.Scx.PublicApi.DataTransferObjects.V2.Offers.MarketplaceOfferViewStatus
          description: Combined lifecycle and action status of the offer.
        listingUrl:
          type: string
          description: URL of the offer listing on the channel.
        isListed:
          type: boolean
          description: Whether the offer is currently listed.
        salesChannelItemDataId:
          type: integer
          description: ID of the sales channel article data.
          format: int32
        minimumStock:
          type: number
          description: Minimum stock threshold.
          format: decimal
        maximumStock:
          type: number
          description: Maximum stock threshold.
          format: decimal
        lastUpload:
          type: string
          description: Timestamp of the last upload.
          format: date-time
        deletionIntervalPendingOffer:
          type: integer
          description: Number of days after which pending offers are deleted.
          format: int32
        shopName:
          type: string
          description: Name of the shop.
        isExtern:
          type: boolean
          description: Whether the offer is external.
        quantityUpdatedAt:
          type: string
          description: Timestamp when the quantity was last updated.
          format: date-time
        priceUpdatedAt:
          type: string
          description: Timestamp when the price was last updated. UTC.
          format: date-time
        statusReceivedAt:
          type: string
          description: Timestamp when the status was last received. UTC.
          format: date-time
        lastUploadedPrice:
          type: number
          description: Last uploaded price value.
          format: decimal
        stockUpdateEnabled:
          type: boolean
          description: Whether automatic stock updates are enabled for this seller.
        channelOfferId:
          type: string
          description: Channel-specific offer identifier.
    JTL.Wawi.Marketplace.Scx.Types.Keys.ScxOfferKey:
      type: string
      description: >-
        Represents a key for an SCX offer, used for identification and
        comparison.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.ArtikelKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Marketplace.Scx.Types.Keys.ScxChannelKey:
      type: string
      description: Represents a key for a SCX channel.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.ShopKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Marketplace.Scx.Types.Keys.ScxShopKey:
      type: string
      description: Represents a key for a ScxShop entity.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Marketplace.Scx.Types.Keys.ScxCategoryKey:
      type: string
      description: >-
        Represents a key for a SCX category, used for identity and
        serialization.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.Artikel.PreisKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.KundenGruppeKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.SteuerklasseKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.FirmaKey:
      type: string
      description: Represents a key for identifying a firm within the application.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Marketplace.Scx.PublicApi.DataTransferObjects.V2.Offers.MarketplaceOfferType:
      type: integer
      description: 0 = WawiOffer, 1 = ExternalOffer
      format: int32
      x-enumNames:
        - WawiOffer
        - ExternalOffer
      enum:
        - 0
        - 1
    JTL.Wawi.Marketplace.Scx.PublicApi.DataTransferObjects.V2.Offers.MarketplaceOfferViewStatus:
      type: integer
      description: >-
        0 = NothingToDo, 1 = WaitingForUpload, 2 = Uploaded, 3 = InReview, 4 =
        Listed, 5 = Ended, 6 = Error, 100 = PendingCreation, 101 =
        PendingUpdate, 102 = PendingDeletion, 103 = TransferBlocked
      format: int32
      x-enumNames:
        - NothingToDo
        - WaitingForUpload
        - Uploaded
        - InReview
        - Listed
        - Ended
        - Error
        - PendingCreation
        - PendingUpdate
        - PendingDeletion
        - TransferBlocked
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 100
        - 101
        - 102
        - 103
  securitySchemes:
    oauth2-authorization-code:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://auth.jtl-cloud.com/oauth2/auth
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            saleschannels.read: Verkaufskanäle lesen
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            payments.read: Ermöglicht den Lesezugriff auf Zahlungen.
            payments.write: Ermöglicht den Schreibzugriff auf Zahlungen.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            system.worker.read: Worker-Synchronisationen lesen
            system.worker.write: Worker-Synchronisationen schreiben
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            inventory.write: Bestand schreiben
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.
    oauth2-client-credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            saleschannels.read: Verkaufskanäle lesen
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            payments.read: Ermöglicht den Lesezugriff auf Zahlungen.
            payments.write: Ermöglicht den Schreibzugriff auf Zahlungen.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            system.worker.read: Worker-Synchronisationen lesen
            system.worker.write: Worker-Synchronisationen schreiben
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            inventory.write: Bestand schreiben
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.

````